Subject: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28 signals an error

From: Eli Zaretskii <[email-masked]>
Date: Wed, 20 Apr 2022 15:28:21 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 20 Apr 2022 12:45:15 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Now the only issue that remains, AFAICT, is the different key bindings
> > for outline-related commands in NEWES, caused by the fact that
> > emacs-news-mode activates outline-minor-mode.  Could we perhaps solve
> > this by having emacs-news-mode be derived from outline-mode, not from
> > text-mode?  If not, why not?
> 
> I thought it would be more consistent to have both emacs-news-view-mode
> and emacs-news-mode use outline-minor-mode, but I don't really have a
> strong opinion here.  (We're moving all the "help"-ish buffers to use
> outline-minor-mode, after all.)
> 
> But emacs-news-mode is for editing, so perhaps it makes sense to use
> outline-mode here.  It does steal an awful lot of the `C-c C-*' keys,
> though, so I'm not very enthusiastic about outline-mode in general and
> think we should avoid it.

Perhaps in general that is true, but I think in this case previous
behavior is an important aspect that we should try to preserve.